## Source code for 'KNN-Contrastive Learning for Out-of-Domain Intent Classofication'.

## Dependencies
### Use anaconda to create python environemnt:
[conda create --name python=3.6.12]

### Install all required libraries:
[pip install -r requirements.txt]

## Usage:
### Run the experiments (for example banking_25):

[python run_main.py json/banking_25.json]

## Results:

[Results stored in model_output, e.g. banaking_0.25.csv]

